<?php defined('C5_EXECUTE') or die("Access Denied.");

/**
 * Text Ticker package for Concrete5
 * Copyright 2020, Alex Borisov. All Rights Reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @copyright 2018-2020, Alex Borisov. All Rights Reserved.
 * @package Concrete\Package\ab_text_ticker
 */

?>

<style>
.need {
    display: inline-block;
    text-align: left;
    margin: 0 auto;
    margin-left: 10px;
    color: #ff4100;
    font-size: 0.7em;
    font-weight: 400;
    opacity: 0.5;
}

.text-muted { font-size: 0.8em; }
</style>

<fieldset class="ab-text-ticker-form">

    <div class="form-group">
        <div class="alert alert-info" role="alert">
            <?php echo t('Text Ticker Block'); ?>
        </div>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->label('ticker_text', t('Ticker Text') . '<span class="need">' . t('Required') . '</span>');
        echo $form->textarea('ticker_text', $ticker_text, ['rows' => 5, 'maxlength' => 1000]);
        echo '<p class="text-muted">' . t('Max 1000 symbols. Note: all tags and line breaks will be stripped.') . '</p>';
        ?>
    </div>
    
</fieldset>

<script type="text/javascript">
$(function(){
    $('#ccm-form-submit-button').on('click', function(e) {
        var ticker_text = $('textarea[name="ticker_text"]').val();
        
        if (ticker_text == '' || ticker_text.length > 1000) {
            e.preventDefault();
            e.stopPropagation();
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Ticker Text error:')); ?>,
                message: <?php echo json_encode(t('Ticker Text cannot be empty and must have max 1000 characters')); ?>
            });
        }
    });
});
</script>
