/**
 * Text Ticker package for Concrete5
 * Copyright 2020, Alex Borisov. All Rights Reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @copyright 2018-2020, Alex Borisov. All Rights Reserved.
 * @package Concrete\Package\ab_text_ticker
 */

$(document).ready(function() {
    if(CCM_EDIT_MODE){
        return;
    }
    
    var text_ticker = $('div.ab-text-ticker');
    text_ticker.each(function() {
        var ticker = $(this);
        var indent = ticker.width();
        ticker.text_ticker = function() {
            indent--;
            ticker.css('text-indent', indent);
            if (indent < -1 * ticker.children('div.ab-text-ticker-text').width()) {
                indent = ticker.width();
            }
        };
        ticker.data('interval', setInterval(ticker.text_ticker, 1000 / 60));
        
        ticker.hover(function() {
            clearInterval(ticker.data('interval'));
        }, function() {
            ticker.data('interval', setInterval(ticker.text_ticker, 1000 / 60));
        });
    });
    
});
